Group: System/Libraries
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           serdisplib
Version:        1.97.9
Release:        alt2_26
Summary:        Library to drive serial displays with built-in controllers
License:        GPLv2+
URL:            http://serdisplib.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: serdisplib-configure-c99.patch
BuildRequires:  gcc libgd3-devel libSDL-devel
# serdisplib only supports the old libusb-0.1 API
BuildRequires:  libusb-compat-devel
Source44: import.info

%description
serdisplib started as a library to drive serial displays with built-in
controllers. beginning with version 1.95 support was added for parallel driven
displays. anyhow: the name 'serdisplib' will not change.

The serial in "serial display" characterizes the way of how the data is
transferred to the display controller: data is sent bit by bit using a single
input line. several (few) other lines are controlling things like timing
(clock), data or command, ... 


%package        devel
Group: Development/Other
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package tools
Group: Development/Other
Summary:        serdisplib tools (testserdisp, multidisplay)
Requires:       %{name} = %{version}-%{release}

%description tools
This package contains the tools for serdisplib


%prep
%setup -q
%patch0 -p1



%build
%configure --enable-libusb --enable-libSDL --disable-statictools
# STATIC_LDFLAGS: work around broken non static utils linking
%make_build STATIC_LDFLAGS="-lusb -lSDL -lpthread"


%install
# Ugh no DESTDIR support, how lame
%makeinstall
rm $RPM_BUILD_ROOT%{_libdir}/libserdisp.a






%files
%doc doc HISTORY README TODO
%doc --no-dereference COPYING
%{_libdir}/*.so.*

%files devel
%{_includedir}/serdisplib
%{_libdir}/*.so

%files tools
%{_bindir}/*


%changelog
* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.97.9-alt2_26
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.97.9-alt2_22
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.97.9-alt2_21
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.97.9-alt2_20
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.97.9-alt2_19
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.97.9-alt1_19
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.97.9-alt1_18
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.97.9-alt1_17
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.97.9-alt1_16
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.97.9-alt1_15
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.97.9-alt1_14
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.97.9-alt1_13
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.97.9-alt1_11
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.97.9-alt1_10
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.97.9-alt1_9
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.97.9-alt1_8
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.97.9-alt1_7
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.97.9-alt1_6
- update to new release by fcimport

* Fri Jun 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.97.9-alt1_5
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.97.9-alt1_4
- initial fc import

